profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with Components구성 요소 유형Setup server sent events (SSE) content refetch어드민 패널 프록시 설정템플릿 빌더에서 스크립팅Project Scaffolding미디어 라이브러리

Headless

Quick startjson과 Claude 코드컴포넌트 Zod 가져오기

REST API

REST API 개요get웹사이트를 CMS API에 연결하기get경로 가져오기get라우트 가져오기get블록 가져오기getCEL 캐시가 포함된 블록 가져오기get블록 생성 가져오기get컴포넌트 가져오기getGET /components/{name}get데이터셋 스키마 이름 가져오기getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}post게시물 번역patch번역 패치get사용량 가져오기postPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /components/{name}

이름으로 단일 커스텀 컴포넌트의 전체 필드 정의를 가져옵니다.

이름으로 단일 커스텀 컴포넌트의 전체 정의를 필드 목록과 함께 가져옵니다.

인증: API 키 (x-api-key 헤더 또는 api_key 쿼리 매개변수).

경로 매개변수

매개변수유형필수설명
namestringyes예: post와 같은 스키마 이름.

쿼리 매개변수

매개변수유형필수설명
websiteIduuidyes유효한 UUID여야 합니다.
api_keystringnox-api-key 헤더에 대한 대안입니다.

응답

{
  "id": "...",
  "name": "post",
  "displayName": "Post",
  "description": "A documentation Post",
  "category": "Custom",
  "titleField": "title",
  "routeSlugField": "title",
  "icon": null,
  "fields": [
    { "name": "title", "type": "string", "required": true }
  ],
  "slugFields": ["title", "description"],
  "version": 8
}

slugFields는 모든 문자열 타입 필드의 이름으로 계산됩니다.

예시

curl '{CMS_API_URL}/components/post?websiteId=<uuid>' \
  -H 'x-api-key: <key>'

오류

  • 400 — websiteId가 누락되었거나 유효하지 않습니다
  • 401 — 유효하지 않은 API 키
  • 404 — 스키마를 찾을 수 없습니다
Continue Reading
Previous‹컴포넌트 가져오기Next데이터셋 스키마 이름 가져오기›